#
# OpenProtium distribution - based upon openslug and generic confs
# 
DISTRO_NAME = "openprotium"
DISTRO_VERSION = "1.3"
DISTRO_TYPE ?= "alpha"
TARGET_OS = "linux"
#
# Basic configuration
#
DISTRO_DEV_MANAGER = "udev"
DISTRO_SSH_DAEMON = "dropbear"
DISTRO_INIT_MANAGER = "sysvinit"
DISTRO_LOGIN_MANAGER = "tinylogin"
MACHINE_TASK_PROVIDER = "task-openprotium"

#
# Naming schemes
#
INHERIT += "debian multimachine"

#
# Packaging and output format
#
INHERIT += "package_ipk"
IMAGE_FSTYPES = "jffs2 tar.gz"
OPENPROTIUM_URI = "http://www.openprotium.org"
FEED_ARCH_storcenter = ppc603e
FEED_ARCH_turbostation = ppc603e
FEED_URIS = "\
	no-arch##${OPENPROTIUM_URI}/releases/${DISTRO_VERSION}/all \
	base##${OPENPROTIUM_URI}/releases/${DISTRO_VERSION}/${FEED_ARCH} \
	${MACHINE}##${OPENPROTIUM_URI}/releases/${DISTRO_VERSION}/${MACHINE} \
	"

# For protium on the turbostation
IMAGE_BASENAME = "openprotium"
IMAGE_BASENAME_turbostation = "openprotium-ts"

# versions
PREFERRED_VERSION_binutils ?= "2.18"
PREFERRED_VERSION_binutils-cross ?= "2.18"

PREFERRED_VERSION_gcc ?= "4.1.1"
PREFERRED_VERSION_gcc-cross ?= "4.1.2"
PREFERRED_VERSION_gcc-cross-sdk ?= "4.1.2"
PREFERRED_VERSION_gcc-cross-initial ?= "4.1.2"

PREFERRED_VERSION_glibc		     = "2.6.1"
PREFERRED_VERSION_glibc-intermediate = "2.6.1"
PREFERRED_VERSION_glibc-initial      = "2.6.1"

PREFERRED_VERSION_linux-libc-headers = "2.6.11.1"

#
# Providers...
#
# binutils and compilers
#
PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}binutils = "binutils-cross"
PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}gcc-initial = "gcc-cross-initial"
PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}gcc = "gcc-cross"
PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}g++ = "gcc-cross"

PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}libc-for-gcc = "glibc-intermediate"
PREFERRED_PROVIDER_virtual/powerpc-linux-libc-for-gcc = "glibc-intermediate"
PREFERRED_PROVIDER_virtual/powerpc-linux-libc-initial = "glibc-initial"

PREFERRED_PROVIDER_virtual/libc     = "glibc"
PREFERRED_PROVIDER_virtual/libiconv = "glibc"
PREFERRED_PROVIDER_virtual/libintl  = "glibc"

#silence a warning message...
PREFERRED_PROVIDER_linux-libc-headers = "linux-libc-headers"

#
# Misc items.
#
PREFERRED_PROVIDER_virtual/db 		?= "db"
PREFERRED_PROVIDER_virtual/db-native 	?= "db-native"
PREFERRED_PROVIDER_gconf 		?= "gconf"

require conf/distro/include/sane-srcdates.inc
require conf/distro/include/sane-srcrevs.inc
